Bug 2116410 (CVE-2022-39047) - CVE-2022-39047 Freeciv: Modpack Installer buffer overflow
Summary: CVE-2022-39047 Freeciv: Modpack Installer buffer overflow
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2022-39047
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2119514 2119515
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-08 13:30 UTC by Zack Miele
Modified: 2022-09-06 10:45 UTC (History)
5 users (show)

Fixed In Version: freeciv-2.6.7, freeciv-3.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-02 03:55:48 UTC


Attachments (Terms of Use)

Description Zack Miele 2022-08-08 13:30:57 UTC
Just released freeciv-2.6.7 & freeciv-3.0.3 fix buffer overflow in
Modpack Installer utility's handling of the modpack URL. Specially
crafted URLs, without any '/' -characters would result in an
underflowing length (unsigned)(-1) string copy, i.e., all of the
NULL-terminated string given as "URL" would get written beyond the
buffer reserved for it.

 Freeciv source tarballs are available from
https://www.freeciv.org/download.html for current 3.0, and from
https://www.freeciv.org/wiki/Old_downloads for 2.6.

 In case you can't make full version update at the moment, bug tracker
ticket has also a patch for this single issue attached:
https://osdn.net/projects/freeciv/ticket/45299



 - ML

Comment 1 Guilherme de Almeida Suckevicz 2022-08-18 17:25:58 UTC
According to this link[1] the CVE-2022-6083 has been assigned for this issue.

Updating this flaw bug accordingly.

[1]. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1017579

Comment 2 Guilherme de Almeida Suckevicz 2022-08-18 17:26:24 UTC
Created freeciv tracking bugs for this issue:

Affects: epel-all [bug 2119514]
Affects: fedora-all [bug 2119515]

Comment 3 Salvatore Bonaccorso 2022-08-31 20:52:43 UTC
(In reply to Guilherme de Almeida Suckevicz from comment #1)
> According to this link[1] the CVE-2022-6083 has been assigned for this issue.
> 
> Updating this flaw bug accordingly.
> 
> [1]. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1017579


Please note the CVE used here is not correct and was caused probably by a mentioning in the Debian bug for freeciv, which later on got corrected. The CVE assigned by MITRE for this freeciv issue is CVE-2022-39047.

Regards,
Salvatore

Comment 4 Product Security DevOps Team 2022-09-02 03:55:46 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 5 Zack Miele 2022-09-06 10:44:45 UTC
Updated with correct CVE.


Note You need to log in before you can comment on or make changes to this bug.